import gql from 'graphql-tag'

const USER_SIGNUP = gql`
  mutation USER_SIGNUP($email: String!, $password: String!, $name: String!) {
    signup(email: $email, password: $password, name: $name) {
      id
      email
      name
    }
  }
`

const USER_LOGIN = gql`
  mutation USER_LOGIN($email: String!, $password: String!) {
    login(email: $email, password: $password) {
      id
      email
      name
    }
  }
`

const USER_LOGOUT = gql`
  mutation USER_LOGOUT {
    logout
  }
`

const CURRENT_USER = gql`
  query CURRENT_USER {
    me {
      id
      email
      name
    }
  }
`

const USER_REQUEST_PASSWORD = gql`
  mutation USER_REQUEST_PASSWORD($email: String!) {
    userRequestPassword(email: $email)
  }
`

const USER_RESET_PASSWORD = gql`
  mutation USER_RESET_PASSWORD($key: String!, $password: String!, $passwordAgain: String!) {
    userResetPassword(key: $key, password: $password, passwordAgain: $passwordAgain)
  }
`

const USER_EDIT = gql`
  mutation USER_EDIT($email: String!, $password: String!, $name: String!){
    userEdit(email: $email, password: $password, name: $name)
  }
`

const USER_DELETE = gql`
  mutation USER_DELETE($id: String!) {
    userDelete(id: $id)
  }
`

export {
  USER_SIGNUP,
  USER_LOGIN,
  USER_LOGOUT,
  CURRENT_USER,
  USER_REQUEST_PASSWORD,
  USER_RESET_PASSWORD,
  USER_EDIT,
  USER_DELETE
}
